curl --request GET \
--url https://api.brightdata.com/webarchive/dump/{dump_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.brightdata.com/webarchive/dump/{dump_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.brightdata.com/webarchive/dump/{dump_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"dump_id": "ucd_abc123-1234567890",
"id": "ucd_abc123-1234567890",
"status": "in_progress",
"created": "2026-02-05T07:57:50.947Z",
"search_id": "ucd_xyz789",
"readiness": "22.31%",
"batches_total": 130,
"batches_uploaded": 28,
"files_total": 1241241251,
"files_uploaded": 345234234
}Get status of data snapshot
Use the Bright Data Marketplace Archive API to get Status of a Data Snapshot. Manages web archive snapshots; returns 200 OK with JSON job status.
Authorizations
Use your Bright Data API Key as a Bearer token in the Authorization header.
How to authenticate:
- Obtain your API Key from the Bright Data account settings at https://brightdata.com/cp/setting/users
- Include the API Key in the Authorization header of your requests
- Format:
Authorization: Bearer YOUR_API_KEY
Example:
Authorization: Bearer b5648e1096c6442f60a6c4bbbe73f8d2234d3d8324554bd6a7ec8f3f251f07df
Learn how to get your Bright Data API key: https://docs.brightdata.com/api-reference/authentication
Path Parameters
Unique identifier for the data snapshot (dump)
"ucd_abc123-1234567890"
Response
Dump status response
- In Progress
- Finished
- Failed
Unique identifier for the dump
Same as dump_id (included for compatibility)
Current status of the dump
in_progress Timestamp when the dump was created
ID of the search this dump is based on
Percentage of completion (e.g., "22.31%")
Total number of batches to process
Number of batches uploaded so far
Total number of files in the dump
Number of files uploaded so far
Filters used to create the dump (present in list endpoint)
Was this page helpful?